Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.base
Class IEssValueAny.EEssDataType

    java.lang.Object
      com.essbase.api.base.IEssValueAny.EEssDataType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum, java.io.Serializable

Enclosing class:
  IEssValueAny

public static final class IEssValueAny.EEssDataType
extends java.lang.Object
implements IEssEnum, java.io.Serializable

The EEssDataType class is an enumeration of data types.

See Also:
  Serialized Form

Field Summary
`static IEssValueAny.EEssDataType` | `BOOLEAN` Data type: boolean.
`static int` | `BOOLEAN_INT_VALUE` Data type (int value): boolean.
`static IEssValueAny.EEssDataType` | `DATE` Data type: Date.
`static int` | `DATE_INT_VALUE` Data type (int value): Date.
`static IEssValueAny.EEssDataType` | `DOUBLE` Data type: double.
`static int` | `DOUBLE_INT_VALUE` Data type (int value): double.
`static IEssValueAny.EEssDataType` | `ESS_ENUM` Data type: IEssEnum.
`static int` | `ESS_ENUM_INT_VALUE` Data type (int value): IEssEnum.
`static IEssValueAny.EEssDataType` | `FLOAT` Data type: float.
`static int` | `FLOAT_INT_VALUE` Data type (int value): float.
`static IEssValueAny.EEssDataType` | `INT` Data type: int.
`static int` | `INT_INT_VALUE` Data type (int value): int.
`static IEssValueAny.EEssDataType` | `LONG` Data type: long.
`static int` | `LONG_INT_VALUE` Data type (int value): long.
`static IEssValueAny.EEssDataType` | `NULL` Data type: null.
`static int` | `NULL_INT_VALUE` Data type (int value): null.
`static IEssValueAny.EEssDataType` | `OBJECT` Data type: Object.
`static int` | `OBJECT_INT_VALUE` Data type (int value): Object.
`static IEssValueAny.EEssDataType` | `SHORT` Data type: short.
`static int` | `SHORT_INT_VALUE` Data type (int value): short.
`static IEssValueAny.EEssDataType` | `STRING` Data type: String.
`static IEssValueAny.EEssDataType` | `STRING_ARR` Data type: String[].
`static int` | `STRING_ARR_INT_VALUE` Data type (int value): String[].
`static int` | `STRING_INT_VALUE` Data type (int value): String.
`static IEssValueAny.EEssDataType` | `VECTOR` Data type: Vector.
`static int` | `VECTOR_INT_VALUE` Data type (int value): Vector.

Constructor Summary
`IEssValueAny.EEssDataType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssValueAny.EEssDataType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssValueAny.EEssDataType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssValueAny.EEssDataType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    public static final IEssValueAny.EEssDataType NULL

  Data type: null.

### BOOLEAN

    public static final IEssValueAny.EEssDataType BOOLEAN

  Data type: boolean.

### SHORT

    public static final IEssValueAny.EEssDataType SHORT

  Data type: short.

### INT

    public static final IEssValueAny.EEssDataType INT

  Data type: int.

### LONG

    public static final IEssValueAny.EEssDataType LONG

  Data type: long.

### FLOAT

    public static final IEssValueAny.EEssDataType FLOAT

  Data type: float.

### DOUBLE

    public static final IEssValueAny.EEssDataType DOUBLE

  Data type: double.

### STRING

    public static final IEssValueAny.EEssDataType STRING

  Data type: String.

### OBJECT

    public static final IEssValueAny.EEssDataType OBJECT

  Data type: Object.

### DATE

    public static final IEssValueAny.EEssDataType DATE

  Data type: Date.

### VECTOR

    public static final IEssValueAny.EEssDataType VECTOR

  Data type: Vector.

### ESS_ENUM

    public static final IEssValueAny.EEssDataType ESS_ENUM

  Data type: IEssEnum.

### STRING_ARR

    public static final IEssValueAny.EEssDataType STRING_ARR

  Data type: String[].

### NULL_INT_VALUE

    public static final int NULL_INT_VALUE

  Data type (int value): null.

  See Also:
    Constant Field Values

### BOOLEAN_INT_VALUE

    public static final int BOOLEAN_INT_VALUE

  Data type (int value): boolean.

  See Also:
    Constant Field Values

### SHORT_INT_VALUE

    public static final int SHORT_INT_VALUE

  Data type (int value): short.

  See Also:
    Constant Field Values

### INT_INT_VALUE

    public static final int INT_INT_VALUE

  Data type (int value): int.

  See Also:
    Constant Field Values

### LONG_INT_VALUE

    public static final int LONG_INT_VALUE

  Data type (int value): long.

  See Also:
    Constant Field Values

### FLOAT_INT_VALUE

    public static final int FLOAT_INT_VALUE

  Data type (int value): float.

  See Also:
    Constant Field Values

### DOUBLE_INT_VALUE

    public static final int DOUBLE_INT_VALUE

  Data type (int value): double.

  See Also:
    Constant Field Values

### STRING_INT_VALUE

    public static final int STRING_INT_VALUE

  Data type (int value): String.

  See Also:
    Constant Field Values

### OBJECT_INT_VALUE

    public static final int OBJECT_INT_VALUE

  Data type (int value): Object.

  See Also:
    Constant Field Values

### DATE_INT_VALUE

    public static final int DATE_INT_VALUE

  Data type (int value): Date.

  See Also:
    Constant Field Values

### VECTOR_INT_VALUE

    public static final int VECTOR_INT_VALUE

  Data type (int value): Vector.

  See Also:
    Constant Field Values

### ESS_ENUM_INT_VALUE

    public static final int ESS_ENUM_INT_VALUE

  Data type (int value): IEssEnum.

  See Also:
    Constant Field Values

### STRING_ARR_INT_VALUE

    public static final int STRING_ARR_INT_VALUE

  Data type (int value): String[].

  See Also:
    Constant Field Values

Constructor Detail

### IEssValueAny.EEssDataType

    public IEssValueAny.EEssDataType()

Method Detail

### sm_fromString

    public static IEssValueAny.EEssDataType sm_fromString(java.lang.String strValue)
                                                   throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssValueAny.EEssDataType sm_fromInt(int intValue)
                                                throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssValueAny.EEssDataType[] sm_values()
                                                 throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD